openPilotLog

Public Member Functions | List of all members
ABenchmark Class Reference

The ABenchmark class provides quick access to benchmarking two functions for the purpose of performance testing. More...

`#include <abenchmark.h>`

## Public Member Functions
| ABenchmark (void(*function_one)(), void(*function_two)(), int number_of_runs)
| ABenchmark (bool(*function_one)(), bool(*function_two)(), int number_of_runs)

## Detailed Description

The ABenchmark class provides quick access to benchmarking two functions for the purpose of performance testing.

The documentation for this class was generated from the following files:

- src/testing/abenchmark.h
- src/testing/abenchmark.cpp